Skip to main content
GET
Channel Videos
💳 1 credit per request

Authorizations

X-API-Key
string
header
required

API key for authentication. Format: sk_live_xxxxxxxxxxxxx

Get your API key from the Dashboard.

Query Parameters

channelId
string

YouTube channel ID

Example:

"UC-9-kyTW8ZkZNDHQJ6FgpwQ"

handle
string

YouTube channel handle

Example:

"ThePatMcAfeeShow"

sort
enum<string>

Sort by latest or popular

Available options:
latest,
popular
Example:

"latest"

continuationToken
string

Continuation token to get more videos. Get 'continuationToken' from previous response.

Example:

"4qmFsgKrCBIYVUNkRkpXVWE0M3NtUm00SXBIQnB"

Response

Successful response

Key Response Fields:

  • data.videos[0].id: YouTube video ID
  • data.videos[0].url: Full YouTube video URL
  • data.videos[0].title: Video title
  • data.videos[0].thumbnail: Video thumbnail URL
  • data.videos[0].viewCountInt: View count as integer
  • data.videos[0].publishedTime: ISO timestamp of when the video was published
  • data.videos[0].lengthSeconds: Video duration in seconds
  • data.continuationToken: Pagination cursor — pass as continuationToken to get the next page